require "httparty"
require "json"
require "echor/configuration"
require "echor/api"
require "echor/backplane"
require "echor/client"
require "echor/search"
require "echor/user"
require "echor/utils"

module Echo
  extend Configuration
  
  # Alias for Echo::Client.new
  #
  # @return [Echo::Client]
  def self.client(options={})
    Echo::Client.new(options)
  end

  # Create a user in the echo server
  def self.create_echo_user(config)
    data = {:entry => {:accounts => [{:identityUrl => config[:identityUrl] }]}}.to_json
    
    JSON.parse(`curl -u #{Echo.user}:#{Echo.password} --data-binary 'subject=poco&content=#{data}' https://api.echoenabled.com/v1/users/update -k`)
  end  
end
