module Echo
  class Client < API    
    include HTTParty
    headers 'Content-Type' => 'application/x-www-urlencoded'    

    # @param [Hash] with options
    #  - debug. Print the raw request and response of the network
    # calls to echo
    def initialize(options={})            
      self.class.debug_output $stdout if Echo.debug
      self.class.base_uri "#{Echo.endpoint}/submit"
      self.class.basic_auth Echo.user, Echo.password
    end
    
    def submit(content)
      self.class.post( "https://api.echoenabled.com/v1/submit", :query => {:content => content})
    end

    def tweet_to_xml(status)
      template = ERB.new(Echo.Templates.TWITTER_XML_TEMPLATE)
      template.result(binding) 
    end    
  end
end
