module Echo
  class User < API
    include HTTParty
    headers 'Content-Type' => 'application/x-www-urlencoded'

    def initialize(options={})
      self.class.debug_output $stdout if Echo.debug
      self.class.base_uri "https://api.echoenabled.com/v1/users/"
      self.class.basic_auth Echo.user, Echo.password
    end

    def who_am_i(options={})
      options[:appkey] = Echo.user
      raise ArgumentError, "You need to provide a sessionID" unless options[:sessionID]
      raise ArgumentError, "You need to setup Echo.user" unless Echo.user
      self.class.get("/whoami?#{options.to_query}")
    end

    def get(options={})
      options[:appkey] = Echo.user
      raise ArgumentError, "You need to provide a sessionID" unless options[:sessionID]
      raise ArgumentError, "You need to provide a indetifyURL" unless options[:identityURL]
      raise ArgumentError, "You need to setup Echo.user" unless Echo.user
      self.class.get("/get?#{options.to_query}")
    end
    
    def update(content, options={})
      self.class.post( "https://api.echoenabled.com/v1/users/update", :query => content)
    end
  end
end
